/******************************************************************************
Rcode.h
******************************************************************************/

#ifndef RCODE_H
#define RCODE_H

#include <Arduino.h>
#include "Layouts.h"

class Rcode {

public:
	Rcode(eLayout layout);
	virtual ~Rcode() {};

	virtual void clear() = 0;
	virtual void show() = 0;
	virtual void setPixel(uint8_t num, uint32_t color) = 0;

	void setTime(uint8_t hours, uint8_t minutes);
	void setLayout(eLayout layout);
	void updateScreen();
	void setBrightness(uint8_t brightness, bool update);
	void writeScreenBufferColored(uint16_t screenBuffer[], uint32_t colorMatrix[]);

private:
	void setBlock(uint8_t tlx, uint8_t tly, uint8_t width, uint8_t height, uint8_t colorCode);
	uint16_t m_matrix[12];
	uint32_t m_colorMatrix[10][10];

	const layout_t* m_pLayout;
	uint16_t m_screenBuffer[10];
	uint8_t m_brightness;
	uint32_t m_color;
	uint8_t m_wheelPos;
};

#endif
